<?php
require("../global_manage.php");
if($_POST){
	//获取传递来的news_id及查询条件
	$note_id = $_POST['note_id'];
	$note_id_str = "";
	$sql = "delete from tb_note";				//删除留言信息表中的数据
	$sql1="delete from tb_note_answer";			//删除留言回复信息表中的数据
	if(count($note_id)>1){	//当选择多个留言时
	 while(list($name,$value)=each($note_id)){			//遍历数组
	  $a.="$value".",";
	 }
		$a= substr($a,0,-1);
		//使用in关键字删除所有被选择留言
	$sql .= " where note_id in(".$a.")";			//指定多个条件值	
	$sql1.= " where noan_note_id in(".$a.")";		//指定多个条件值	
	}
	//只删除一条留言
	else{
	 $sql .= " where note_id = ".$note_id[0];			//指定单个条件
	 $sql1.="  where noan_note_id=".$note_id[0];		//指定单个条件
	}
	$DB->query($sql);
	$DB->query($sql1);
	?>
	<script language="javascript">alert("留言信息删除成功！");</script>
	<?php
		//将原来的查询条件返回
		$url = "./index.php";
		redirect_once($url);
}
?>
<meta http-equiv="Content-Type" content="text/html;charset=gb2312">
